lkml.org 
[lkml]   [2022]   [Aug]   [26]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 10/11] spi: dw-apb-ssi: add generic 1.03a version
On Tue, Aug 02, 2022 at 06:57:54PM +0100, Sudip Mukherjee wrote:
> From: Ben Dooks <ben.dooks@sifive.com>
>
> Add new snps,dw-ssi-1.03a version to the bindings.
>
> Signed-off-by: Ben Dooks <ben.dooks@sifive.com>
> Signed-off-by: Sudip Mukherjee <sudip.mukherjee@sifive.com>
> ---
> Documentation/devicetree/bindings/spi/snps,dw-apb-ssi.yaml | 1 +
> 1 file changed, 1 insertion(+)
>
> diff --git a/Documentation/devicetree/bindings/spi/snps,dw-apb-ssi.yaml b/Documentation/devicetree/bindings/spi/snps,dw-apb-ssi.yaml
> index 37c3c272407d..35aa04a85813 100644
> --- a/Documentation/devicetree/bindings/spi/snps,dw-apb-ssi.yaml
> +++ b/Documentation/devicetree/bindings/spi/snps,dw-apb-ssi.yaml
> @@ -45,6 +45,7 @@ properties:
> enum:
> - snps,dw-apb-ssi
> - snps,dwc-ssi-1.01a

> + - snps,dwc-ssi-1.03a

There is no point in having the IP-core versions used in the
compatible string. The controller version is retrieved from the device
CSR. Just add new generic compatible string "snps,dw-ahb-ssi" and use
it to identify your device.

-Sergey

> - description: Microsemi Ocelot/Jaguar2 SoC SPI Controller
> items:
> - enum:
> --
> 2.30.2
>

\
 
 \ /
  Last update: 2022-08-27 01:24    [W:0.259 / U:2.700 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site